Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Audit Operations

GetAuditData

GetAuditData

GET/zstack/v1/zwatch/audits

Operation ID

GetAuditData

Since

2.3

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • startTime
    Long

    Optional. The start time.

  • endTime
    Long

    Optional. The end time.

  • limit
    Integer

    Optional. The maximum number of returned records.

  • labels
    List

    Optional. The filter label list.

  • auditType
    AuditType

    Optional. The audit type.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • audits
    ListRequired

    See audits.

    • resourceUuid
      StringRequired

      The resource UUID.

    • resourceType
      StringRequired

      The resource type.

    • apiName
      StringRequired

      The API name.

    • error
      StringRequired

      The details about the error.

      • code
        StringRequired

        The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

      • description
        StringRequired

        The brief description of the error.

      • details
        StringRequired

        The details about the error.

      • elaboration
        StringRequired

        The reserved field. Default value: null.

      • opaque
        LinkedHashMapRequired

        The reserved field. Default value: null.

      • cause
        ErrorCodeRequired

        The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

    • operatorAccountUuid
      StringRequired

      The UUID of the account that initiated the API.

    • duration
      longRequired

      The API duration.

    • requestUuid
      StringRequired

      The API request UUID.

    • responseUuid
      StringRequired

      The API response UUID.

    • sessionUuid
      StringRequired

      The session UUID.

    • requestDump
      StringRequired

      The JSON archive of the API request.

    • responseDump
      StringRequired

      The JSON archive of the API response.

    • time
      longRequired

      The time that the record was generated.